summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Felix Pfeifer <pfeifer[dot]felix[at]googlemail[dot]com>2011-12-11 17:39:21 -0200
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-11 17:39:21 -0200
commit1dec5bcbc6e0a3095b36ba11a0f42ad0a16f9910 (patch)
treef334c2068bd2ac5a972a629f9f24e6db76e24975
parentb87cd0a81e5d70569a04188efd24655994915317 (diff)
downloadslackbuilds-1dec5bcbc6e0a3095b36ba11a0f42ad0a16f9910.tar.gz
slackbuilds-1dec5bcbc6e0a3095b36ba11a0f42ad0a16f9910.tar.xz
audio/muse: Added (MIDI/Audio Sequencer)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/muse/README10
-rw-r--r--audio/muse/doinst.sh21
-rw-r--r--audio/muse/muse.SlackBuild82
-rw-r--r--audio/muse/muse.info10
-rw-r--r--audio/muse/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/audio/muse/README b/audio/muse/README
new file mode 100644
index 0000000000..5af4dc623f
--- /dev/null
+++ b/audio/muse/README
@@ -0,0 +1,10 @@
+MusE is a MIDI/Audio sequencer with recording and editing capabilities
+written originally by Werner Schweer now developed and maintained by
+the MusE development team. MusE aims to be a complete multitrack
+virtual studio for Linux, it is published under the GNU General Public
+License.
+
+This requires qt3 and jack-audio-connection kit.
+Optional dependencies are fluidsynth and dssi.
+
+To start MusE, the user has to be in the "audio" group.
diff --git a/audio/muse/doinst.sh b/audio/muse/doinst.sh
new file mode 100644
index 0000000000..333d5e3919
--- /dev/null
+++ b/audio/muse/doinst.sh
@@ -0,0 +1,21 @@
+setcap cap_ipc_lock,cap_sys_nice=ep /usr/bin/muse
+
+if grep GROUP\=\"audio\" /lib/udev/rules.d/65-permissions.rules > /dev/null; then
+ echo > /dev/null
+else
+ sed '/^KERNEL=="rtc\|rtc0"/s!$! , GROUP="audio"!' -i /lib/udev/rules.d/65-permissions.rules
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/muse/muse.SlackBuild b/audio/muse/muse.SlackBuild
new file mode 100644
index 0000000000..06bee0dd78
--- /dev/null
+++ b/audio/muse/muse.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for muse
+
+# Written by Felix Pfeifer pfeifer[dot]felix[at]googlemail[dot]com
+
+PRGNAM=muse
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README* SECURITY \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/muse/muse.info b/audio/muse/muse.info
new file mode 100644
index 0000000000..84998eed21
--- /dev/null
+++ b/audio/muse/muse.info
@@ -0,0 +1,10 @@
+PRGNAM="muse"
+VERSION="1.1"
+HOMEPAGE="http://muse-sequencer.org/"
+DOWNLOAD="http://downloads.sourceforge.net/lmuse/muse-1.1.tar.gz"
+MD5SUM="ddbba9b8b92948643e5e2013910c5c6e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Felix Pfeifer"
+EMAIL="pfeifer[dot]felix[at]googlemail[dot]com"
+APPROVED="rworkman"
diff --git a/audio/muse/slack-desc b/audio/muse/slack-desc
new file mode 100644
index 0000000000..1aa1069a53
--- /dev/null
+++ b/audio/muse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+muse: muse (MIDI/Audio Sequencer)
+muse:
+muse: MusE is a MIDI/Audio sequencer with recording and editing capabilities
+muse: written originally by Werner Schweer now developed and maintained by
+muse: the MusE development team. MusE aims to be a complete multitrack
+muse: virtual studio for Linux, it is published under the GNU General Public
+muse: License.
+muse:
+muse: Homepage: http://muse-sequencer.org/
+muse:
+muse: